const app = getApp();

const commonUtil = require("../../../utils/commonUtil.js");
Page({
  data: {
    currentInfo: {},
    recordShow: false,
    pullNum: 0, //下拉次数
    loadMore: "",
    loadContent: ["马不停蹄加载更多数据中...", "-- 已经到底了，加不了咯 --"],

    statusBarHeight: wx.getStorageSync("statusBarHeight"), // 状态栏高度

    navigationBarHeight: wx.getStorageSync("navigationBarHeight"), // 导航栏高度

    menuButtonHeight: wx.getStorageSync("menuButtonHeight"), // 胶囊按钮高度

    menuButton: wx.getStorageSync("menuButtonInfo"), // 胶囊信息
    navigatorHeight: 60,
    recordList: [],
    jobSpecialLabelNames: [],
    storeJobListSearchForm: {
      jobCategoryLabelIds: '',
      recruitment: 1,
      pageNum: 1,
      pageSize: 20,
      classify: 1,
      sex: -1,
      workTypeStr: "",
      lat: "",
      lng: "",
      jobClassify: "",
      sortTag: 0,
      jobSpecialLabelIds: "",
      cityName: "",
      brandIds: "",
      jobCategoryLabelIds: "",
      ucj: 0,
    },
    loading: true,
    hasMoreData: false, //下拉是否还有更多数据
    inputShowed: false,
    inputVal: "搜索工作",
    wxCode: "",
    isLogin: false,
    hasUserInfo: 0,
    pageShow: false,
    recordCount: 0,
    totalPage: 0,
    currPage: 0,

    list: [],
    active: 0,

    scrollInfoView: 'category_0',
    sList: [],
  },
  handleTab (e) {
    var that = this;
    console.log('点击tab', e.currentTarget.dataset.active)
    console.log('点击tab', e.currentTarget.dataset.id)
    that.data.storeJobListSearchForm['jobCategoryLabelIds'] = e.currentTarget.dataset.id
    that.data.storeJobListSearchForm.pageNum = 1
    this.setData({
      active: e.currentTarget.dataset.active,// tab切换
      storeJobListSearchForm: that.data.storeJobListSearchForm

    });
    console.log(this.data.scrollInfoView)
    that.getJobList();

  },
  goLogin () {
    wx.setStorageSync("comeFromPage", "index");
    wx.navigateTo({
      url: "/pages/login/index",
    });
  },
  onLoad (options) {
    var that = this;


  },
  onReady () {
  },
  /**
   * 智能匹配结束
   *
   *
   *
   */
  onShow () {
    let that = this;
    console.log(app.globalData)
    that.data.storeJobListSearchForm.pageNum = 1;
    that.setData({
      isLogin: app.globalData.isLogin
    })
    that.getType();
  },
  getType () {
    var that = this;
    wx.request({
      url: app.globalData.ip + "/yishoudan/custom/job/categoryLabels",
      method: "get",
      header: app.globalData.headers,
      success: function (res) {
        if (res.data.data.labels.length > 2) {
          var first = res.data.data.labels[0];
          var last = res.data.data.labels[res.data.data.labels.length - 1];
          res.data.data.labels.pop();
          res.data.data.labels.shift();
          res.data.data.labels.sort((a, b) => b.num - a.num)
          res.data.data.labels.unshift(first);
          res.data.data.labels.push(last);
        }

        if (res.data.data.labels[0]) {
          that.data.storeJobListSearchForm['jobCategoryLabelIds'] = res.data.data.labels[0].id
        }
        that.setData({
          list: res.data.data.labels,
          storeJobListSearchForm: that.data.storeJobListSearchForm
        })
        that.getJobList();
      }
    })
  },
  getJobList () {
    var that = this;
    that.setData({
      pageShow: false,
      recordList: []
    });
    return new Promise(function (resolve, reject) {

      wx.showLoading({
        title: "加载中...",
      });
      wx.request({
        url: app.globalData.ip + "/yishoudan/custom/job/listApp",
        method: "POST",
        header: app.globalData.headers,
        data: that.data.storeJobListSearchForm,
        success: function (res) {
          console.log("职位列表↓↓↓↓");
          console.log(res);

          that.setData({
            totalPage: res.data.data.pageBean.pageCount,
            currPage: res.data.data.pageBean.currentPage,
          });



          if (res.data.data.pageBean.recordList == null || res.data.data.pageBean.recordList.length == 0 || res.data.data.pageBean.recordList.length < that.data.storeJobListSearchForm.pageSize) {
            var jobListTemp = commonUtil.disposeJobListData(res.data.data.pageBean.recordList);
            that.data.recordList = that.data.recordList.concat(jobListTemp);

            that.setData({
              recordList: that.data.recordList,
              isTrigger: false,
            });
          } else {
            var jobListTemp = commonUtil.disposeJobListData(res.data.data.pageBean.recordList);
            that.data.recordList = that.data.recordList.concat(jobListTemp);

            that.setData({
              recordList: that.data.recordList,
              isTrigger: false,
            });
          }
          // if (res.data.data.pageBean.recordCount >= res.data.data.pageBean.pageSize) {
          // 	that.setData({
          // 		hasMoreData: true,
          // 	});
          // } else {
          // 	that.setData({
          // 		hasMoreData: false,
          // 	});
          // }

          wx.hideLoading({
            success: (res) => { },
          });
          that.setData({
            loading: false,
            pageShow: true,
            storeJobListSearchForm: that.data.storeJobListSearchForm,
          });
          resolve();
          // that.getTag();

          that.data.recordList.forEach((item, index) => {
            item['citys'] = commonUtil.setJobInfoPosition(item.storeDistrict);
            // console.log(item);
            if (app.isNotEmptyCheck(item.returnFeeType) || item.returnFeeType == "0" || item.returnFee == "0") {
              item["fuWuFei"] = commonUtil.getReturnFeeTypeName1ById(item.returnFeeType, item.returnFee);
            } else {
              item["fuWuFei"] = "";
            }

          });

          let _stopList = [];
          // if($type == 'onshow'){
          // 	that.data.list.forEach((item,index) => {
          // 		that.getDomInfo('category_' + index,(categoryRes)=>{
          // 			_stopList.push(Number(categoryRes.top))
          // 		})
          // 	});
          // }

          that.setData({
            sList: _stopList,
            recordList: that.data.recordList,
            currentJobDrawer: that.data.currentJobDrawer,
          });
          that.setData({
            recordList: that.data.recordList,
            currentJobDrawer: that.data.currentJobDrawer,
          });
          // if (that.data.recordList.length < res.data.data.pageBean.recordCount) {
          // 	that.setData({
          // 		hasMoreData: true,
          // 	});
          // } else {
          // 	that.setData({
          // 		hasMoreData: false,
          // 	});
          // }
        },
      });
    });
  },
  bindCategoryScroll (e) {
    let that = this;

    // if(0 <= e.detail.scrollTop && e.detail.scrollTop < 4241){
    // 	that.setData({
    // 		active:0
    // 	})
    // }else if(4241 <= e.detail.scrollTop && e.detail.scrollTop < 8482){
    // 	that.setData({
    // 		active:1
    // 	})
    // }else {
    // 	that.setData({
    // 		active:2
    // 	})
    // }
  },
  // getDomInfo($obj,callback=()=>{}){
  // 	if($obj){
  // 		const query = wx.createSelectorQuery()
  // 		query.select('#' + $obj).boundingClientRect(function(categoryRes){
  // 			callback(categoryRes);
  // 		})
  // 		query.exec()
  // 	}else{
  // 		callback({
  // 			bottom: -1,
  // 			dataset: {},
  // 			height: -1,
  // 			id: "",
  // 			left: -1,
  // 			right: -1,
  // 			top: -1,
  // 			width: -1
  // 		});
  // 	};
  // },

  /**
   * 标准详情
   *
   *
   */
  goDetail (e) {
    console.log(e);
    var that = this;
    wx.navigateTo({
      url: "../../detail/index?storeJobId=" + e.currentTarget.dataset.id + "&wxCode=" + that.data.wxCode,
    });

  },
  // 下拉加载更多
  onScrollToLower () {
    var that = this;
    that.data.storeJobListSearchForm.pageNum =
      that.data.storeJobListSearchForm.pageNum + 1;
    if (that.data.hasMoreData) {
      that.getJobList();
    }
    // 根据实际数据加载情况设定 loadMore 的值即可，分别为 load 和 over

    this.setData({
      loadMore: "load",
      // loading:true
    });

  },
  goEnroll (e) {
    console.log(e);
    // wx.navigateTo({
    //     url: "../newEnroll/index?applyType=0"
    // });
    var that = this;

    wx.removeStorageSync("townsManInfo");
    wx.removeStorageSync("townsManInfoJob");
    wx.removeStorageSync("storeInfoJob");

    // if(app.isNotEmptyCheck(wx.getStorage('townsManInfo'))){
    //   wx.removeStorageSync('townsManInfo')
    // }
    // if(app.isNotEmptyCheck(wx.getStorage('townsManInfoJob'))){
    //   wx.removeStorageSync('townsManInfoJob')
    // }
    // if(app.isNotEmptyCheck(wx.getStorage('storeInfoJob'))){
    //   wx.removeStorageSync('storeInfoJob')
    // }
    // wx.removeStorageSync('townsManInfoJob')
    console.log(app.globalData.loginUserInfo.tel);
    wx.setStorageSync("jobDetailStorage", that.data.recordList[e.currentTarget.dataset.idx]);
    let argument;
    argument = JSON.stringify(e.currentTarget.dataset.info).replace(/\=|\&/g, "3D");
    wx.navigateTo({
      url: `../newEnroll/enroll/index?applyType=1&info=${argument}`,
    });
  },
  wxLogin () {
    var that = this;
    wx.login({
      success (res) {
        if (res.code) {
          that.setData({
            wxCode: res.code,
          });
        } else {
          console.log("获取code失败！" + res.errMsg);
        }
      },
    });
  },
  scroll (e) {
    return false;
  },
  stoptap (e) {
    return false;
  },


  onHide () {
    this.setData({
      whichOneShow: "",
      // topNum: 1,
    });
  },
  onUnload () {
    console.log("destory");
  },
  goList () {
    wx.navigateTo({
      url: "/pages/filterPage/index",
    });
  },
  hidedrawershow (e) {
    console.log(e);
    this.setData({
      [e.detail.type]: false
    })
    wx.showTabBar({
      animation: false,
      success: (result) => {

      },
      fail: () => { },
      complete: () => { }
    });
  },
  hideDrawer () {
    let that = this;
    this.getTabBar().setData({
      isShow: true,
    });
    that.setData({
      drawerShow: false,
    });
    // this.getJobList();
    // setTimeout(() => {
    // 	wx.showTabBar({
    // 		success(e) {},
    // 	});
    // }, 300);
  },
  recordBill (e) {
    // if (!this.data.isLogin) {
    //   wx.navigateTo({
    //     url: "/pages/login/index",
    //   });
    //   return;
    // }
    console.log(e.currentTarget.dataset.job);

    console.log(this.data.recordShow);
    wx.hideTabBar({
      animation: false,
      success: (result) => {
        this.setData({
          recordShow: true,
          currentInfo: e.currentTarget.dataset.job,
        })
      },
      fail: () => { },
      complete: () => { }
    });
    return
    console.log(e.currentTarget.dataset.job);
    console.log(123);
    let middleInfo = e.currentTarget.dataset.job;
    let info = JSON.stringify({
      id: middleInfo.id,
      jobName: middleInfo.jobName,
      storeName: middleInfo.storeName,
      aliasName: middleInfo.aliasName,
      storeId: middleInfo.storeId,
    });
    console.log(info);
    wx.navigateTo({
      url: `../../newEnroll/enroll/index?applyType=1&info=${info}`,
    });
    // wx.navigateTo({
    // 	url: `../newEnroll/enroll/index?applyType=1&info=${info}`,
    // });
  },
  makePhone (e) {
    var that = this;
    var tel = e.currentTarget.dataset.tel;
    wx.makePhoneCall({
      // number: that.data.jobDetail.assistantUserTel + ""
      phoneNumber: tel,
    });
  },
});
